---
suite: hackbench
testcase: hackbench
category: benchmark
nr_threads: 100%
iterations: 4
hackbench:
  mode: threads
  ipc: socket
job_origin: hackbench-socket.icl.yaml
queue_cmdline_keys:
- branch
- commit
- kbuild_queue_analysis
queue: bisect
testbox: lkp-icl-2sp2
tbox_group: lkp-icl-2sp2
job_file: "/lkp/jobs/scheduled/lkp-icl-2sp2/hackbench-performance-socket-4-threads-100%-debian-12-x86_64-20240206.cgz-d4ac164bde7a-20241006-283131-rhg1pw-0.yaml"
id: 1890ce9d54360eb32bbae2eaddfc2239cb20d830
queuer_version: "/zday/lkp"
model: Ice Lake
nr_node: 2
nr_cpu: 128
memory: 256G
nr_ssd_partitions: 4
ssd_partitions:
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part2"
- "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part3"
- "/dev/disk/by-id/nvme-INTEL_SSDPE21K375GA_PHKE734100DV375AGN-part1"
- "/dev/disk/by-id/nvme-INTEL_SSDPE21K375GA_PHKE734200JC375AGN-part1"
swap_partitions:
rootfs_partition: "/dev/disk/by-id/nvme-INTEL_SSDPE2KX040T7_PHLF7414019F4P0IGN-part1"
brand: Intel(R) Xeon(R) Gold 6338 CPU @ 2.00GHz
need_kconfig:
- XFS_ONLINE_SCRUB_STATS: n
- XFS_DEBUG: n
- XFS_WARN: y
- PM_DEBUG: n
- PM_SLEEP_DEBUG: n
- DEBUG_ATOMIC_SLEEP: n
- DEBUG_SPINLOCK_SLEEP: n
- CIFS_DEBUG: n
- SCSI_DEBUG: n
- NFS_DEBUG: n
- SUNRPC_DEBUG: n
- DM_DEBUG: n
- DEBUG_SHIRQ: n
- OCFS2_DEBUG_MASKLOG: n
- DEBUG_MEMORY_INIT: n
- BUG_ON_DATA_CORRUPTION: n
- DEBUG_LIST: n
- DEBUG_PLIST: n
- EXPERT: y
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY_BEHAVIOUR: y
- PREEMPT_BEHAVIOUR: n
- PREEMPT_NONE_BEHAVIOUR: n
- PREEMPT_DYNAMIC: n
- PREEMPT_VOLUNTARY: y
- PREEMPT_NONE: n
- PREEMPT: n
- PREEMPT_RT: n
kmsg:
boot-time:
uptime:
iostat:
heartbeat:
vmstat:
numa-numastat:
numa-vmstat:
numa-meminfo:
proc-vmstat:
proc-stat:
meminfo:
slabinfo:
interrupts:
lock_stat:
perf-sched:
  lite_mode: 1
softirqs:
bdi_dev_mapping:
diskstats:
nfsstat:
cpuidle:
cpufreq-stats:
turbostat:
sched_debug:
perf-stat:
mpstat:
perf-c2c:
perf-profile:
  debug_mode: 0
cpufreq_governor: performance
sanity-check:
commit: d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1
netconsole_port: 6680
ucode: '0xd0003a5'
need_kconfig_hw:
- IXGBE: y
kconfig: x86_64-rhel-8.3
enqueue_time: 2024-10-06 23:07:54.089427931 +08:00
_rt: "/result/hackbench/performance-socket-4-threads-100%/lkp-icl-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1"
compiler: gcc-12
head_commit: 2bcf15797769ab00a1db4a74ac642de6a6a3979b
base_commit: 9852d85ec9d492ebef56dc5f229416c925758edc
branch: linux-devel/devel-hourly-20241003-232946
rootfs: debian-12-x86_64-20240206.cgz
user: lkp
LKP_SERVER: internal-lkp-server
scheduler_version: "/lkp/lkp/.src-20241005-111117"
arch: x86_64
max_uptime: 2100
initrd: "/osimage/debian/debian-12-x86_64-20240206.cgz"
bootloader_append:
- root=/dev/ram0
- RESULT_ROOT=/result/hackbench/performance-socket-4-threads-100%/lkp-icl-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1/0
- BOOT_IMAGE=/pkg/linux/x86_64-rhel-8.3/gcc-12/d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1/vmlinuz-6.12.0-rc1-00033-gd4ac164bde7a
- branch=linux-devel/devel-hourly-20241003-232946
- job=/lkp/jobs/scheduled/lkp-icl-2sp2/hackbench-performance-socket-4-threads-100%-debian-12-x86_64-20240206.cgz-d4ac164bde7a-20241006-283131-rhg1pw-0.yaml
- user=lkp
- ARCH=x86_64
- kconfig=x86_64-rhel-8.3
- commit=d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1
- intremap=posted_msi
- max_uptime=2100
- LKP_SERVER=internal-lkp-server
- nokaslr
- selinux=0
- debug
- apic=debug
- sysrq_always_enabled
- rcupdate.rcu_cpu_stall_timeout=100
- net.ifnames=0
- printk.devkmsg=on
- panic=-1
- softlockup_panic=1
- nmi_watchdog=panic
- oops=panic
- load_ramdisk=2
- prompt_ramdisk=0
- drbd.minor_count=8
- systemd.log_level=err
- ignore_loglevel
- console=tty0
- earlyprintk=ttyS0,115200
- console=ttyS0,115200
- vga=normal
- rw
modules_initrd: "/pkg/linux/x86_64-rhel-8.3/gcc-12/d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1/modules.cgz"
bm_initrd: "/osimage/deps/debian-12-x86_64-20240206.cgz/run-ipconfig_20240904.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/lkp_20240216.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/rsync-rootfs_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hackbench_20240229.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/hackbench-x86_64-2.6-0_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/iostat_20240229.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/perf_20240901.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/perf-x86_64-431c1646e1f8-1_20240901.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/mpstat_20240221.cgz,/osimage/pkg/debian-12-x86_64-20240206.cgz/sar-x86_64-443ade20-1_20240301.cgz,/osimage/deps/debian-12-x86_64-20240206.cgz/hw_20240216.cgz"
ucode_initrd: "/osimage/ucode/intel-ucode-20230906.cgz"
lkp_initrd: "/osimage/user/lkp/lkp-x86_64.cgz"
site: inn
LKP_CGI_PORT: 80
LKP_CIFS_PORT: 139
oom-killer:
watchdog:
job_initrd: "/lkp/jobs/scheduled/lkp-icl-2sp2/hackbench-performance-socket-4-threads-100%-debian-12-x86_64-20240206.cgz-d4ac164bde7a-20241006-283131-rhg1pw-0.cgz"
last_kernel: 6.11.0-01535-g372269fde5c6
acpi_rsdp: '0x000f05b0'
repeat_to: 3
bad_samples:
- 373580.39450089657
- 368613.76649546606
- 374681.5207073987

#! queue options

#! user overrides
kbuild_queue_analysis: 1
kernel: "/pkg/linux/x86_64-rhel-8.3/gcc-12/d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1/vmlinuz-6.12.0-rc1-00033-gd4ac164bde7a"
result_root: "/result/hackbench/performance-socket-4-threads-100%/lkp-icl-2sp2/debian-12-x86_64-20240206.cgz/x86_64-rhel-8.3/gcc-12/d4ac164bde7a12ec0a238a7ead5aa26819bbb1c1/0"

#! schedule options

#! /db/releases/20241006204851/lkp-src/include/site/inn
dequeue_time: 2024-10-06 23:12:07.463217648 +08:00
job_state: finished
loadavg: 862.39 1314.99 620.21 2/1288 29225
start_time: '1728227624'
end_time: '1728227789'
version: "/lkp/lkp/.src-20241005-111117:420c80b2020c:2aee846502e0"
